## visad.data.netcdf.in
Class InvalidContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.data.netcdf.in.InvalidContextException

All Implemented Interfaces:
  Serializable

public class InvalidContextException
extends VisADException

Exception thrown when the I/O context is invalid for an operation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`InvalidContextException()` Constructs from nothing.
`InvalidContextException(Context context)` Constructs from a context.
`InvalidContextException(String msg)` Constructs from a message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidContextException

    public InvalidContextException()

  Constructs from nothing.

### InvalidContextException

    public InvalidContextException(String msg)

  Constructs from a message.

### InvalidContextException

    public InvalidContextException(Context context)

  Constructs from a context.